Bug 1933320 (CVE-2021-3424)

Summary: CVE-2021-3424 keycloak: Internationalized domain name (IDN) homograph attack to impersonate users
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aboyko, aileenc, akoufoud, alazarot, almorale, anstephe, avibelli, bgeorges, bibryam, chazlett, cmoulliard, dkreling, drieden, etirelli, ganandan, ggaughan, gmalinko, hbraun, ibek, ikanello, janstey, jochrist, jpallich, jstastny, jwon, krathod, kverlaen, lthon, mnovotny, mszynkie, pantinor, pdrozd, pgallagh, pjindal, rrajasek, rruss, rsynek, sdaley, security-response-team, sthorger
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in keycloak, where IDN homograph attacks are possible. This flaw allows a malicious user to register a name that already exists and then tricking an admin to grant extra privileges. The highest threat from this vulnerability is to integrity.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-20 14:57:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1933321, 1936423    

Description Pedro Sampaio 2021-02-26 17:58:57 UTC
A flaw was found in keycloak. Internationalized domain name (IDN) homograph attacks may be used to impersonate users.

References:

https://issues.redhat.com/browse/KEYCLOAK-17256

Comment 3 Paramvir jindal 2021-03-08 11:43:17 UTC
Acknowledgments:

Name: Kristian Klausen

Comment 6 errata-xmlrpc 2021-05-20 12:42:09 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 6

Via RHSA-2021:2063 https://access.redhat.com/errata/RHSA-2021:2063

Comment 7 errata-xmlrpc 2021-05-20 12:43:10 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 8

Via RHSA-2021:2065 https://access.redhat.com/errata/RHSA-2021:2065

Comment 8 errata-xmlrpc 2021-05-20 12:43:43 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 7

Via RHSA-2021:2064 https://access.redhat.com/errata/RHSA-2021:2064

Comment 9 Product Security DevOps Team 2021-05-20 14:57:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3424

Comment 10 errata-xmlrpc 2021-05-20 17:50:17 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.7

Via RHSA-2021:2070 https://access.redhat.com/errata/RHSA-2021:2070